## cwidget 0.5.17

=== debian/changelog ===
cwidget (0.5.17-7) unstable; urgency=medium

  * Bump debhelper compatibility level to 11
    - d/compat: level 11
    - d/control: Setting Build-Depends of debhelper accordingly, and
      remove explicit dependency on dh-autoreconf (included by debhelper
      already since level 10)
    - API documentation moved under /usr/share/doc/libcwidget-dev as
      recommended by policy 12.3
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Set "Rules-Requires-Root: no" in d/control
  * Remove "Testsuite: autopkgtest" from d/control, unnecessary
    - lintian warning: unnecessary-testsuite-autopkgtest-header
  * Convert debian/copyright to machine-readable DEP5 format

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 01 Jan 2018 22:33:31 +0100

cwidget (0.5.17-6) unstable; urgency=medium

  * Release to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 20 Jun 2017 19:26:32 +0200

cwidget (0.5.17-5) experimental; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * d/rules: do not hardcode '-std=c++11', there are new standards now and
    we don't need to keep in sync this library and aptitude
  * d/compat: level 10
    - d/control: Setting Build-Depends accordingly
    - d/rules: not passing --parallel and --with autoreconf, they are the
      default now
  * Migrate to -dbgsym
  * d/tests/compile-example-testcwidget: Remove '-std=c++11' compiler flag
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/control: Update URLs to their secure versions

  [ Helmut Grohne ]
  * Drop versioned g++ dependency, because the libstdc++6 transition is
    complete and the dependency breaks cross compilation.
    (Closes: #862200)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 10 May 2017 00:10:27 +0200

cwidget (0.5.17-4) unstable; urgency=medium

  * Acknowledge NMU.
  * Fix failure with autopkgtest when using g++ 5 (Closes: #795177).
    Thanks Martin Pitt.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 13 Aug 2015 14:13:04 +0100

cwidget (0.5.17-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libcwidget3 to libcwidget3v5, libcwidget3 to libcwidget3v5,
    follow-up for the libstdc++6 ABI transition. Addresses: #794594.
  * Add Conflicts/Replaces for the old packages.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:46:19 +0200

cwidget (0.5.17-3) unstable; urgency=low

  * Changes to build with GCC-5 and in C++11 mode (Closes: #792681).
    Thanks Matthias Klose.  Prompted by:
    - transition to GCC-5 as default compiler in Debian unstable;
    - failure to compile cwidget without -std=c++11 with
      this new version;
    - there is a change in the ABI of libstdc++ w.r.t. GCC < 5, in
      std::string, std::list and other parts (sigc++-2.0 is a dependency of
      cwidget and uses std::list in the API)
  * Quell lintian warning xs-testsuite-header-in-debian-control by
    removing XS- prefix in debian/control
  * Revamp options passed to the compiler, among others some obsolete
    compiler flags that tried to address a problem with old versions of
    the compiler, but that were actually not enabled since long ago
  * Do not install jquery.js and link it from documentation directories in
    another place where it cropped up
  * Update Build-Depends-Indep on perlmagick to libimage-magick-perl
    (Closes: #789224).  Thanks Martin Michlmayr.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 31 Jul 2015 01:10:21 +0100

cwidget (0.5.17-2) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Add a patch to have Doxygen not write timestamps in the generated
    documentation to allow package builds to be reproducible.  (Closes:
    #762666)

  [ Manuel A. Fernandez Montecelo ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Change priority of source package to 'optional' (from 'extra'), and
    remove the override of priority 'important' for the binary package
    libcwidget3

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 28 Sep 2014 16:03:09 +0100

cwidget (0.5.17-1) unstable; urgency=medium

  * New upstream release
    - Incorporated changes of last NMUs
    - Remove -1.9 from some of the autotools commands, run instead the
      latest/default versions of the system (1.9 is quite old by now)
  * debian/source/format: move from "1.0" to "3.0 (quilt)"
  * debian/compat: level 9
    - Multi-Arch enabled now
  * Add tests for autopkgtest

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 22 Feb 2014 00:21:23 +0000

cwidget (0.5.16-5) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Use dh-autoreconf instead of autotools-dev for better new-port
    coverage.  Thanks Colin Watson for the report and the patch (I applied
    it by hand and slightly modified since it didn't apply cleanly).
    (Closes: #732539)
  * Quell lintian warnings:
    - embedded-javascript-library: add Depends on libjs-jquery in the -doc
      package, and create a symbolic link instead of install the local copy
      of the file "jquery.min.js"
    - "binary-control-field-duplicates-source": remove duplicate Priority
      field from most of the binary packages
    - missing-debian-source-format: add "1.0" to "debian/source/format"
      for the time being
    - vcs-field-not-canonical
    - no-upstream-changelog: upstream's NEWS is the changelog
  * In -doc package, downgrade browser from Recommends to Suggests
  * VCS changed from 'cwidget/debian/.git' to 'cwidget/cwidget.git'

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 21 Feb 2014 18:02:04 +0000

cwidget (0.5.16-4) unstable; urgency=medium

  * New maintainer (Closes: #738893)
  * Incorporate changes from all previous NMUs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 15 Feb 2014 16:45:15 +0000

cwidget (0.5.16-3.5) unstable; urgency=low

  * Non-maintainer upload.
  * Support cross-building (thanks, Eleanor Chen; closes: #721357).

