=== debian/control ===
Source: cwidget
Priority: optional
Section: libs
Homepage: https://cwidget.alioth.debian.org
Vcs-Git: https://anonscm.debian.org/git/cwidget/cwidget.git
Vcs-Browser: https://anonscm.debian.org/git/cwidget/cwidget.git
Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
Build-Depends: debhelper (>= 11~),
               gettext,
               libcppunit-dev (>= 1.13.2-2.1),
               libncursesw5-dev,
               libsigc++-2.0-dev
Build-Depends-Indep: doxygen,
                     ikiwiki (>= 1.34),
                     libhtml-scrubber-perl,
                     libimage-magick-perl
Rules-Requires-Root: no
Standards-Version: 4.1.3


Package: libcwidget3v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libcwidget-dev
Conflicts: libcwidget3
Replaces: libcwidget3
Description: high-level terminal interface library for C++ (runtime files)
 libcwidget is a modern user interface library modeled on GTK+ and Qt,
 but using curses as its display layer and with widgets that are
 tailored to a terminal environment.
 .
 This package contains the files that are required to run programs
 compiled against libcwidget.

Package: libcwidget-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libcwidget3v5 (= ${binary:Version}),
         libsigc++-2.0-dev,
         libncursesw5-dev,
         pkg-config
Suggests: libcwidget-doc
Description: high-level terminal interface library for C++ (development files)
 libcwidget is a modern user interface library modeled on GTK+ and Qt,
 but using curses as its display layer and with widgets that are
 tailored to a terminal environment.
 .
 This package contains files that are needed to write or compile
 software that uses libcwidget.
 .
 WARNING: this is a newly created library whose development is closely
 tied to the development of aptitude.  Its API may be incomplete and
 is likely to change considerably version-over-version!  You may want
 to avoid cwidget for stable projects.

Package: libcwidget-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libjs-jquery
Suggests: libcwidget-dev,
          iceweasel | www-browser
Description: high-level terminal interface library for C++ (documentation)
 libcwidget is a modern user interface library modeled on GTK+ and Qt,
 but using curses as its display layer and with widgets that are
 tailored to a terminal environment.
 .
 This package contains documentation for libcwidget, in HTML format.
