=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


export DEB_CXXFLAGS_MAINT_APPEND := -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND  := -Wl,--as-needed


%:
	dh $@ --dbgsym-migration='libcwidget3v5-dbg (<< 0.5.17-4~)'

override_dh_auto_configure:
	dh_auto_configure -- --disable-werror $(CROSS_CONFIGURE_OPTIONS)

override_dh_auto_clean:
	-rm -rf doc/ikiwiki/.ikiwiki
	dh_auto_clean

# Build indep overrides
override_dh_auto_build-indep:
	$(MAKE) -C doc doc

override_dh_auto_test-indep:
        # No tests needed for docs

override_dh_auto_install-indep:
	$(MAKE) -C doc install
	dh_install -i -Xjquery.min.js -Xjquery.js

override_dh_installchangelogs:
	dh_installchangelogs -- NEWS

override_dh_installexamples:
	dh_installexamples -plibcwidget-dev src/cwidget/testcwidget.cc
