=== debian/tests/control ===
Tests: compile-example-testcwidget
Depends: libcwidget-dev, build-essential
