## cwidget 0.5.18

=== debian/changelog ===
cwidget (0.5.18-6build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:53:31 +0200

cwidget (0.5.18-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Axel Beckert ]
  * Add myself to uploaders.
  * Add generated file po/libcwidget4.pot to debian/clean to allow
    building twice in a row.
  * Also switch upstream URL in debian/copyright from Alioth to Salsa.
  * Declare compliance with Debian Policy 4.6.1. No changes seem to be
    necessary for that.
  * Bump debhelper compat level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
    + Call dh_missing with --list-missing for now. libcwidget.la wasn't
      included beforehand either.
  * Stop explicitly using the -Wl,--as-needed linker flag. Thanks Lintian!

  [ Paul Wise ]
  * Patch to add missing "#include <pthread.h>". Fixes FTBFS in cwidget as
    well as in aptitude with GCC 12. (Closes: #1015925)

 -- Axel Beckert <abe@debian.org>  Sat, 06 Aug 2022 03:59:19 +0200

cwidget (0.5.18-5) unstable; urgency=medium

  [ Sven Joachim ]
  * Drop obsolete Conflicts/Breaks/Replaces (Closes: #935775)
    There is no file conflict between libcwidget4 and libcwidget3v5
    anymore, and old aptitude versions are not linked with libcwidget4.

  [ Manuel A. Fernandez Montecelo ]
  * Update Homepage from Alioth to Salsa.  It's the repo page, not a
    dedicated website as before, but it's better than a dead URL.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 03 Sep 2019 23:09:51 +0200

cwidget (0.5.18-4) unstable; urgency=medium

  [ Sven Joachim ]
  * Fix the autopkgtest.  In compat level 12, dh_examples no longer
    compresses files under /usr/share/doc/examples.
  * d/patches:
    - add 0001-Change-gettext-domainname-to-libcwidget4-1.patch to not
      ship files conflicting with libcwidget3v5 (Closes: #935775)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 29 Aug 2019 14:07:38 +0200

cwidget (0.5.18-3) unstable; urgency=medium

  * Change shlibs version to the correct 0.5.18-1

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 26 Aug 2019 01:02:20 +0200

cwidget (0.5.18-2) unstable; urgency=medium

  * Release to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 25 Aug 2019 22:43:25 +0200

cwidget (0.5.18-1) experimental; urgency=medium

  * New upstream release
  * Rename libcwidget3v5 to libcwidget4 (new SOVERSION)
  * d/patches: drop all, patches not needed with new upstream release
    - bug-897733-fix-ftbfs-gcc-8.patch
    - do-not-write-timestamps-in-documentation
    - fix-FTBFS-with-libncursesw6.patch
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Bump debhelper compatibility level to 12
    - d/compat: level 12
    - d/control: Setting Build-Depends of debhelper accordingly
  * d/watch: add file

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 19 Jun 2019 02:00:26 +0200

cwidget (0.5.17-11) unstable; urgency=medium

  * Fix Vcs-Git field
  * d/patches:
    - Add bug-897733-fix-ftbfs-gcc-8.patch (Closes: #897733)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 19 Jul 2018 22:21:50 +0200

cwidget (0.5.17-10) unstable; urgency=medium

  * Release to unstable for ncurses transition to libncursesw6

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 27 Apr 2018 00:30:10 +0200

cwidget (0.5.17-9) experimental; urgency=medium

  * Changes from Sven Joachim discussed in #891161 (thanks!) to deal with
    the new ABI of ncurses and libncursesw6:
    - Bump shlibs to (>= 0.5.17-8)
    - Declare Breaks against aptitude built with previous cwidget versions
  * Update Vcs-* fields with repository in its own group

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 26 Apr 2018 20:23:30 +0200

cwidget (0.5.17-8) experimental; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed)
  * Update Vcs-* fields for "salsa" hosting
  * Bump build-dependency of ncurses to the newest ABI of libncursesw6:
    libncurses-dev (>= 6.0+20180210)
  * d/patches:
    - add fix-FTBFS-with-libncursesw6.patch to fix problem compiling
      against this version, by disabling code (that was de facto not used
      for many years, if ever) to not cause problems for aptitude until the
      ABI of cwidget is bumped (Closes: #891161)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 26 Apr 2018 15:25:51 +0200
