=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: cwidget
 Priority: optional
 Section: libs
-Homepage: https://cwidget.alioth.debian.org
-Vcs-Git: https://anonscm.debian.org/git/cwidget/cwidget.git
-Vcs-Browser: https://anonscm.debian.org/git/cwidget/cwidget.git
-Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Build-Depends: debhelper (>= 11~),
+Homepage: https://salsa.debian.org/cwidget-team/
+Vcs-Git: https://salsa.debian.org/cwidget-team/cwidget.git
+Vcs-Browser: https://salsa.debian.org/cwidget-team/cwidget
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
+Uploaders: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 13),
                gettext,
                libcppunit-dev (>= 1.13.2-2.1),
-               libncursesw5-dev,
+               libncurses-dev (>= 6.0+20180210),
                libsigc++-2.0-dev
 Build-Depends-Indep: doxygen,
                      ikiwiki (>= 1.34),
                      libhtml-scrubber-perl,
                      libimage-magick-perl
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.6.1
 
 
-Package: libcwidget3v5
+Package: libcwidget4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libcwidget-dev
-Conflicts: libcwidget3
-Replaces: libcwidget3
 Description: high-level terminal interface library for C++ (runtime files)
  libcwidget is a modern user interface library modeled on GTK+ and Qt,
  but using curses as its display layer and with widgets that are
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libcwidget3v5 (= ${binary:Version}),
+         libcwidget4 (= ${binary:Version}),
          libsigc++-2.0-dev,
          libncursesw5-dev,
          pkg-config
