=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 
 export DEB_CXXFLAGS_MAINT_APPEND := -pipe -Wall
-export DEB_LDFLAGS_MAINT_APPEND  := -Wl,--as-needed
 
 
 %:
@@ -33,3 +32,9 @@
 
 override_dh_installexamples:
 	dh_installexamples -plibcwidget-dev src/cwidget/testcwidget.cc
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V "libcwidget4 (>= 0.5.18-1)"
+
+override_dh_missing:
+	dh_missing --list-missing
