=== debian/watch ===
version=4
https://salsa.debian.org/cwidget-team/cwidget-upstream/tags \
  (?:.*/)cwidget-upstream@ANY_VERSION@@ARCHIVE_EXT@
