## cwidget 0.5.18-6build1trisquel1

=== debian/changelog ===
cwidget (0.5.18-6build1trisquel1) ecne; urgency=medium

  * Rebuild as dependency of aptitude for i386

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 02 Oct 2025 04:34:59 +0000
