=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: https://salsa.debian.org/cwidget-team/
 Vcs-Git: https://salsa.debian.org/cwidget-team/cwidget.git
 Vcs-Browser: https://salsa.debian.org/cwidget-team/cwidget
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 13),
